Bug 6334 - хочу работать с репозиторием, даже если есть пакеты с ошибками.
: хочу работать с репозиторием, даже если есть пакеты с ошибками.
Status: CLOSED WONTFIX
: Sisyphus
(All bugs in Sisyphus/synaptic)
: unstable
: all Linux
: P2 enhancement
Assigned To:
:
: http://thread.gmane.org/gmane.linux.a...
:
:
:
  Show dependency tree
 
Reported: 2005-03-27 08:36 by
Modified: 2005-09-04 22:56 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-03-27 08:36:09
чтобы поставить прогамму, которо нет в Сизифе, скачал Мадрейковский rpm.
В Мандрейке некоторые пакеты называются по другому, так что ставить прищлось с
-
-nodeps

В результате, если Синаптику не жать снести этот пакет, он вообще ничего не 
делает. IMHO долженбыть способ объяснить ему, что на некоторые пакеты он 
смотреть не должен!
------- Comment #1 From 2005-05-11 16:36:49 -------
А что говорит про такой пакет APT?
Если пакет имеет неудовлетворенные зависимости, то скорее всего ни апт, ни
синаптик работать не будут... Однако ода имеют средства чтобы исправить эту
ситуацию:
apt: ключик --fix-broken
synaptic: Меню -> Редактирование -> Исправить пакеты "с ошибками"

Как вариант - попробуйте поставить на холд, но не ручаюсь, что это поможет